### What is Synchro Charts?

Synchro Charts is a collection of time-series visualization components with a focus on operational use cases such as monitoring, root cause analysis, and basic analytics.

Synchro Charts makes it easy to navigate a large amount of time-series data fluidly via intuitive gestures, synchronized across corresponding widgets.

Synchro Charts has first class concepts of aggregation types, associated alarm status, allowing for an integrated experience when dealing with data which has corresponding status information.

Synchro Charts is open sourced, you can contribute at [Synchro Charts Github](https://github.com/awslabs/aws-synchro-charts).

```jsx
import {LiveDemo} from '../src/components/chart-demo/LiveDemo';

<LiveDemo/>
```
Control the charts with:

**Pan**: hold **shift**, click and drag on any chart

**Zoom In**: **double-click** on a position within a chart to zoom into that area.

**Zoom Out**: hold **shift** and **double-click** on a position within a chart to zoom away from that area.

**Restrict Time Span**: Click and drag through the interval of time you wish to restrict the viewport to.


